package com.edgec.browserbackend.browser.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document(collection = "usershops")
public class UserShop {

    @Id
    private String id;

    private String username;

    private String shopId;

    private String groupId;

    public UserShop(){

    }

    public UserShop(String username, String shopId) {
        this.username = username;
        this.shopId = shopId;
    }

    public UserShop(String username, String shopId, String groupId) {
        this.username = username;
        this.shopId = shopId;
        this.groupId = groupId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }
}
