package com.edgec.browserbackend.browser.dto;

import com.edgec.browserbackend.browser.domain.Group;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class GroupDto {
    private String id;
    private String groupName;
    private String details;

    public GroupDto(){

    }

    public GroupDto(String id, String groupName, String details){
        this.id = id;
        this.groupName = groupName;
        this.details = details;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
}
